%define current_version 7.0.11

Name: libvcmmd
Version: %{current_version}
Release:        1%{?dist}
Summary: Library for accessing vcmmd
Group: System Environment/Libraries
License: LGPLv2.1
Source: %{name}-%{version}.tar.bz2
ExclusiveArch: x86_64
Requires: dbus-libs
BuildRequires: gcc
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: dbus-devel

%description
This package contains a library that provides a convenient API for accessing
the vcmmd daemon. It can be used in order to configure memory settings of
Virtuozzo Containers and VMs.

%prep
%setup -q -n %{name}-%{version}
./autogen.sh

%build
%configure
make

%install
make install DESTDIR=%{buildroot}

%files
%attr(755,root,root) %{_libdir}/libvcmmd.so.*

%package devel
Summary: Development files for libvcmmd
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}

%description devel
This package contains header files and libraries needed for developing software
that uses libvcmmd.

%files devel
%attr(755,root,root) %{_libdir}/libvcmmd.so
%attr(755,root,root) %{_libdir}/libvcmmd.la
%attr(644,root,root) %{_includedir}/libvcmmd/*.h

%changelog
* Thu May 26 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.11
 - Add two new VM types

* Wed Mar 30 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.10
 - Add video RAM size to VE config
 - Add flags argument to register, activate, and update operations
 - Rename NO_SPACE error to UNABLE_APPLY_VE_GUARANTEE

* Mon Mar 14 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.9
 - Add licensing information
 - Change license to LGPL

* Mon Feb 01 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.8
 - Fix type of ve_type argument of RegisterVE method
 - Implement vcmmd_get_ve_state method
 - Pass values of dbus-defined types to dbus_message_get_args

* Fri Jan 29 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.7
 - Sync error messages/constants with current vcmmd state

* Wed Jan 27 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.6
 - Initialize dbus threads in constructor (#PSBM-43497)

* Tue Jan 26 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.5
 - Implement vcmmd_get_ve_config method

* Wed Jan 13 2016 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.4
 - Reset version-info
 - Drop vcmmd_commit_ve
 - Update comment to vcmmd_update_ve
 - Drop force argument to register and update VE operations

* Tue Dec 29 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.3
 - Introduce vcmmd_activate_ve and vcmmd_deactivate_ve

* Fri Dec 25 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.2
 - Drop max_limit from the config

* Thu Dec 24 2015 Vladimir Davydov <vdavydov@virtuozzo.com> 7.0.1
 - Initial version

